From: [email-masked]
Date: Fri, 18 Mar 1994 12:02:17 -0500

the "4.1" naming convention is new to me.

as for russian, the posted sam sources support the unicode character
set as encoded by the plan 9 UTF byte-stream encoding, now called
UTF-8 by ISO.  the russian poster probably has his own character
set and encoding.  to support them, it should be sufficient to modify the
encoding/decoding routines at the periphery; the system will handle
the rest.  sam has been used like this in greece since 1986, long before
unicode.  the core of the editor doesn't care about the character set
as long as values 0-127 are ASCII.  now for our russian friend, that
might not be true, in which case he has a problem.  i'd suggest converting
to unicode and UTF - why not be able to edit english AND russian
with the same editor?

-rob

---

From: Nickolay Saukh <[email-masked]>
Date: Sat, 19 Mar 1994 00:49:51 -0500

> the russian poster probably has his own character
> encoding/decoding routines at the periphery;

Well, my message was unclear. I would like to modify
input method (translation from X keycodes).